Bug 1876318 - Please relax dependencies, in particular python3-PyDrive
Summary: Please relax dependencies, in particular python3-PyDrive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-07 04:35 UTC by Martin Pitt
Modified: 2020-09-25 16:53 UTC (History)
2 users (show)

Fixed In Version: duplicity-0.8.15-3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-25 16:53:32 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Martin Pitt 2020-09-07 04:35:09 UTC
Description of problem: duplicity package currently requires a lot of stuff that should be optional:

❱❱❱ sudo dnf repoquery --requires duplicity
[...]
ncftp >= 3.1.9
openssh-clients
python3-PyDrive
python3-boto3
python3-dropbox
python3-fasteners
python3-future
python3-paramiko
rsync

These are all for specific backends only, and duplicity works perfectly well for e.g. the rsync backend if python3-PyDrive or python3-dropbox is not installed. The above should all be "Recommends:" at most.

Compare with the dependencies of the Debian package:

Depends: libc6 (>= 2.4), librsync2 (>= 1.0.0), python3 (<< 3.9), python3 (>= 3.8~), python3-fasteners, python3-future, python3:any (>= 3.7~), python3-lockfile, gnupg | gnupg1
Recommends: rsync, python3-paramiko, python3-pexpect, python3-urllib3, python3-oauthlib
Suggests: python3-boto, ncftp, lftp, tahoe-lafs, python3-swiftclient, python3-pip, par2

As python3-google-api-client, and with it, python3-PyDrive is currently uninstallable in Fedora 33 (going to file a bug in a minute), this prevents installation of duplicity even though I couldn't care less about the GDrive backend.

Version-Release number of selected component (if applicable):

0.8.15-2.fc33


Thanks for considering!

Comment 1 Martin Pitt 2020-09-07 04:36:56 UTC
Sorry, -fasteners and -future are required. These are optional:

ncftp >= 3.1.9
openssh-clients
python3-PyDrive
python3-boto3
python3-dropbox
python3-paramiko

Comment 2 Martin Pitt 2020-09-07 04:40:45 UTC
> python3-PyDrive is currently uninstallable in Fedora 33

This is bug #1852141 , and it does not look like it's going to be fixed fast.

Comment 3 Fedora Update System 2020-09-09 14:21:05 UTC
FEDORA-2020-c086084fc8 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c086084fc8

Comment 4 Fedora Update System 2020-09-10 15:48:20 UTC
FEDORA-2020-c086084fc8 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c086084fc8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c086084fc8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-09-25 16:53:32 UTC
FEDORA-2020-c086084fc8 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.